// 门店相关接口
import request from '@/utils/request';

// 获取经销商分类
export function listChainsByCategory(query) {
  return request({
    url: 'mobile/store/listChainsByCategory',
    method: 'get',
    params: query,
  });
}

// 门店~扩展经销商（经销商人员）
export function addStoreChainContact(data) {
  return request({
    url: 'mobile/store/addStoreChainContact',
    method: 'post',
    data,
  });
}

// 新增门店前校验门店是否重复接口
export function checkStoreBeforeAdd(data) {
  return request({
    url: 'mobile/store/checkStoreBeforeAdd',
    method: 'post',
    data,
  });
}
